Install Error on Mac 10.5.6


#1

Anybody know how i can fix this? i’m on an intel mac. i have MCR installer and X11

Last login: Tue Mar 24 14:47:18 on ttys000
/Users/Will/Desktop/firefox/CompiledCellProfilerPPCBugfixFINAL/CellProfilerForMacI.command ; exit;
go-away-hacker:~ Will$ /Users/Will/Desktop/firefox/CompiledCellProfilerPPCBugfixFINAL/CellProfilerForMacI.command ; exit;
name /Users/Will/Desktop/firefox/CompiledCellProfilerPPCBugfixFINAL/CellProfilerForMacI.command
/Applications/MATLAB/MATLAB_Compiler_Runtime/v78
/Applications/MATLAB/MATLAB_Compiler_Runtime/v78/runtime/maci:/Applications/MATLAB/MATLAB_Compiler_Runtime/v78/sys/os/maci:/Applications/MATLAB/MATLAB_Compiler_Runtime/v78/bin/maci:/System/Library/Frameworks/JavaVM.framework/JavaVM:/System/Library/Frameworks/JavaVM.framework/Libraries
/Applications/MATLAB/MATLAB_Compiler_Runtime/v78/X11/app-defaults
dyld: Library not loaded: libmwmclmcrrt.dylib.7.6
Referenced from: /Users/Will/Desktop/firefox/CompiledCellProfilerPPCBugfixFINAL/CellProfiler
Reason: no suitable image found. Did find:
/System/Library/Frameworks/JavaVM.framework/JavaVM/libmwmclmcrrt.dylib.7.6: stat() failed with errno=20
/Users/Will/Desktop/firefox/CompiledCellProfilerPPCBugfixFINAL/CellProfilerForMacI.command: line 11: 850 Trace/BPT trap dirname "$0"/CellProfiler
logout


Installation problem on Mac 10.5.6
#2

oh, also wanted to state that I do have X11 (version 2.1.5) and it is in applications->utilities, which is a problem i saw a few other people had before i asked the question


#3

Hi,

Yes, we’ve seen this before too… sometimes, explicitly setting the dylib path works. Try this first and then we’ll keep troubleshooting…sometimes even though this library is clearly there, I’ve had to both blow away my java and my mcr and reinstall both to get CP to find them…

Type this in your terminal:

set DYLD_LIBRARY_PATH

matlabroot/bin/maci:

matlabroot/sys/os/maci:

/System/Library/Frameworks/JavaVM.framework/JavaVM:

/System/Library/Frameworks/JavaVM.framework/Libraries

Let me know how that goes.

~kate


#4

Hmm I also noticed that you have an Intel Mac, but it looks like you’re trying to use the Compiled version for PPC Mac. That could definitely be it too! Try downloading the Intel version first.


#5

hey @ work right now so can’t try it out, but I’ve downloaded both versions for mac and tested them. got virtually the same error. I’ll try your method tonight. Thanks a lot!


#6

hey, your route change worked great in the terminal. thanks!